Build failed in Jenkins: raring-proposed-adt-network-manager » i386,albali #13

Jenkins Notification devnull at canonical.com
Tue Nov 20 14:14:25 UTC 2012


See <http://10.189.74.2:8080/job/raring-proposed-adt-network-manager/./ARCH=i386,label=albali/13/>

------------------------------------------
[...truncated 1028 lines...]
adt-run: trace1: $       cd "$1"
adt-run: trace1: $       apt-ftparchive packages . >Packages
adt-run: trace1: $       gzip <Packages >Packages.gz
adt-run: trace1: $       apt-ftparchive release . >Release
adt-run: trace1: $       rm -f Release.gpg
adt-run: trace1: $       gpg --homedir="$2" --batch --detach-sign --armour -o Release.gpg Release
adt-run: trace1: $       gpg --homedir="$2" --batch --export >archive-key.pgp
adt-run: trace1: $     		
adt-run: trace: $ apt-key: sh -ec <SCRIPT>
adt-run: trace1: $     
adt-run: trace1: $       exec 3>&1 >&2
adt-run: trace1: $       apt-key add archive-key.pgp
adt-run: trace1: $       echo "deb file:///tmp/tmp.JeCdgJ6IaA/binaries/ /" >/etc/apt/sources.list.d/autopkgtest.list
adt-run: trace1: $       if [ "x`ls /var/lib/dpkg/updates`" != x ]; then
adt-run: trace1: $         echo >&2 "/var/lib/dpkg/updates contains some files, aargh"; exit 1
adt-run: trace1: $       fi
adt-run: trace1: $       apt-get -q -o quiet=true -o APT::Get::Assume-Yes=true -o Debug::pkgProblemResolver=true -o APT::Get::force-yes=true update >&2
adt-run: trace1: $       cat /var/lib/dpkg/status >&3
adt-run: trace1: $     		
OK
Ign file:  InRelease
Get:1 file:  Release.gpg [198 B]
Get:2 file:  Release [1,202 B]
Ign file:  Translation-en_US
Ign file:  Translation-en
Ign http://archive.ubuntu.com raring InRelease
Ign http://security.ubuntu.com raring-security InRelease
Ign http://archive.ubuntu.com raring-updates InRelease
Hit http://security.ubuntu.com raring-security Release.gpg
Ign http://archive.ubuntu.com raring-proposed InRelease
Hit http://security.ubuntu.com raring-security Release
Hit http://archive.ubuntu.com raring Release.gpg
Hit http://security.ubuntu.com raring-security/main Sources
Hit http://archive.ubuntu.com raring-updates Release.gpg
Hit http://security.ubuntu.com raring-security/universe Sources
Hit http://archive.ubuntu.com raring-proposed Release.gpg
Hit http://security.ubuntu.com raring-security/main i386 Packages
Hit http://archive.ubuntu.com raring Release
Hit http://security.ubuntu.com raring-security/universe i386 Packages
Hit http://archive.ubuntu.com raring-updates Release
Hit http://archive.ubuntu.com raring-proposed Release
Hit http://security.ubuntu.com raring-security/main Translation-en
Hit http://archive.ubuntu.com raring/main Sources
Hit http://archive.ubuntu.com raring/universe Sources
Hit http://security.ubuntu.com raring-security/universe Translation-en
Hit http://archive.ubuntu.com raring/restricted Sources
Hit http://archive.ubuntu.com raring/multiverse Sources
Hit http://archive.ubuntu.com raring/main i386 Packages
Hit http://archive.ubuntu.com raring/universe i386 Packages
Hit http://archive.ubuntu.com raring/restricted i386 Packages
Hit http://archive.ubuntu.com raring/multiverse i386 Packages
Ign http://security.ubuntu.com raring-security/main Translation-en_US
Hit http://archive.ubuntu.com raring/main Translation-en
Ign http://security.ubuntu.com raring-security/universe Translation-en_US
Hit http://archive.ubuntu.com raring/multiverse Translation-en
Hit http://archive.ubuntu.com raring/restricted Translation-en
Hit http://archive.ubuntu.com raring/universe Translation-en
Hit http://archive.ubuntu.com raring-updates/main Sources
Hit http://archive.ubuntu.com raring-updates/universe Sources
Hit http://archive.ubuntu.com raring-updates/main i386 Packages
Hit http://archive.ubuntu.com raring-updates/universe i386 Packages
Hit http://archive.ubuntu.com raring-updates/main Translation-en
Hit http://archive.ubuntu.com raring-updates/universe Translation-en
Hit http://archive.ubuntu.com raring-proposed/main Sources
Hit http://archive.ubuntu.com raring-proposed/restricted Sources
Hit http://archive.ubuntu.com raring-proposed/universe Sources
Hit http://archive.ubuntu.com raring-proposed/multiverse Sources
Hit http://archive.ubuntu.com raring-proposed/restricted i386 Packages
Hit http://archive.ubuntu.com raring-proposed/main i386 Packages
Hit http://archive.ubuntu.com raring-proposed/multiverse i386 Packages
Hit http://archive.ubuntu.com raring-proposed/universe i386 Packages
Hit http://archive.ubuntu.com raring-proposed/main Translation-en
Hit http://archive.ubuntu.com raring-proposed/multiverse Translation-en
Hit http://archive.ubuntu.com raring-proposed/restricted Translation-en
Get:3 http://archive.ubuntu.com raring-proposed/universe Translation-en [16.8 kB]
Ign http://archive.ubuntu.com raring/main Translation-en_US
Ign http://archive.ubuntu.com raring/multiverse Translation-en_US
Ign http://archive.ubuntu.com raring/restricted Translation-en_US
Ign http://archive.ubuntu.com raring/universe Translation-en_US
Ign http://archive.ubuntu.com raring-updates/main Translation-en_US
Ign http://archive.ubuntu.com raring-updates/universe Translation-en_US
Ign http://archive.ubuntu.com raring-proposed/main Translation-en_US
Ign http://archive.ubuntu.com raring-proposed/multiverse Translation-en_US
Ign http://archive.ubuntu.com raring-proposed/restricted Translation-en_US
Ign http://archive.ubuntu.com raring-proposed/universe Translation-en_US
Fetched 16.8 kB in 15s (1,093 B/s)
Reading package lists...
adt-run: trace: * publish reinstall checking...
adt-run: trace: * publish install...
adt-run: trace: * publish done
adt-run: trace1: **  installing dependencies ['python3', 'python3-aptdaemon.test', 'python3-gi', 'network-manager', 'gir1.2-networkmanager-1.0']
adt-run: trace: dependencies: install-deps: satisfying python3, python3-aptdaemon.test, python3-gi, network-manager, gir1.2-networkmanager-1.0
adt-run: trace: dependencies: install-deps: running ['/usr/lib/pbuilder/pbuilder-satisfydepends-classic', '--binary-all', '--internal-chrootexec', '/home/ubuntu/adt-log//satdep-auxverb', '-c', '/home/ubuntu/adt-log//deps.dsc']
 -> Attempting to parse the build-deps 
 -> Considering build-dep python3
   -> Trying python3
 -> Considering build-dep python3-aptdaemon.test
   -> Trying python3-aptdaemon.test
 -> Considering build-dep python3-gi
   -> Trying python3-gi
 -> Considering build-dep network-manager
   -> Trying network-manager
 -> Considering build-dep gir1.2-networkmanager-1.0
   -> Trying gir1.2-networkmanager-1.0
 -> Installing  python3 python3-aptdaemon.test python3-gi network-manager gir1.2-networkmanager-1.0
Reading package lists...
Building dependency tree...
Reading state information...
python3 is already the newest version.
python3-aptdaemon.test is already the newest version.
python3-gi is already the newest version.
gir1.2-networkmanager-1.0 is already the newest version.
network-manager is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
 -> Finished parsing the build-deps
adt-run: trace: & dsc0t-dnsmasq: [----------------------------------------
+ buildtree=/tmp/tmp.JeCdgJ6IaA/dsc0-build/network-manager-0.9.6.0+git201211131441.e9e2c56/
+ shift
+ rm -rf -- /tmp/tmp.JeCdgJ6IaA/dsc0t-dnsmasq-testtmp /tmp/tmp.JeCdgJ6IaA/dsc0t-dnsmasq-testtmp/tmpdir /tmp/tmp.JeCdgJ6IaA/dsc0t-dnsmasq-testtmp/adttmp
+ mkdir -- /tmp/tmp.JeCdgJ6IaA/dsc0t-dnsmasq-testtmp /tmp/tmp.JeCdgJ6IaA/dsc0t-dnsmasq-testtmp/tmpdir /tmp/tmp.JeCdgJ6IaA/dsc0t-dnsmasq-testtmp/adttmp
adt-run: trace: & dsc0t-dnsmasq:  - - - - - - - - - - results - - - - - - - - - -
dsc0t-dnsmasq        FAIL non-zero exit status 1
adt-run: trace: & dsc0t-dnsmasq:  - - - - - - - - - - stdout - - - - - - - - - -
Auto interfaces found: lo
Entering main event loop
Connected to the system bus
Registering null backend at priority -10
Using authority class PolkitBackendLocalAuthority
Acquired the name org.freedesktop.PolicyKit1
testDnsmasqHasDbus (__main__.TestDnsmasq) ... ERROR
testDnsmasqRunning (__main__.TestDnsmasq) ... FAIL

======================================================================
ERROR: testDnsmasqHasDbus (__main__.TestDnsmasq)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.freedesktop.NetworkManager.dnsmasq': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/tmp.JeCdgJ6IaA/dsc0-build/network-manager-0.9.6.0+git201211131441.e9e2c56/debian/tests/dnsmasq", line 49, in testDnsmasqHasDbus
    '/uk/org/thekelleys/dnsmasq')
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager.dnsmasq was not provided by any .service files

======================================================================
FAIL: testDnsmasqRunning (__main__.TestDnsmasq)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/tmp.JeCdgJ6IaA/dsc0-build/network-manager-0.9.6.0+git201211131441.e9e2c56/debian/tests/dnsmasq", line 38, in testDnsmasqRunning
    self.assertIn('dnsmasq', processes)
AssertionError: 'dnsmasq' not found in '  PID TTY          TIME CMD\n    1 ?        00:00:02 init\n    2 ?        00:00:00 kthreadd\n    3 ?        00:00:00 ksoftirqd/0\n    4 ?        00:00:00 kworker/0:0\n    5 ?        00:00:00 kworker/0:0H\n    6 ?        00:00:00 kworker/u:0\n    7 ?        00:00:00 kworker/u:0H\n    8 ?        00:00:00 migration/0\n    9 ?        00:00:00 rcu_bh\n   10 ?        00:00:00 rcu_sched\n   11 ?        00:00:00 watchdog/0\n   12 ?        00:00:00 watchdog/1\n   13 ?        00:00:00 ksoftirqd/1\n   14 ?        00:00:00 migration/1\n   15 ?        00:00:00 kworker/1:0\n   16 ?        00:00:00 kworker/1:0H\n   17 ?        00:00:00 cpuset\n   18 ?        00:00:00 khelper\n   19 ?        00:00:00 kdevtmpfs\n   20 ?        00:00:00 netns\n   21 ?        00:00:00 bdi-default\n   22 ?        00:00:00 kintegrityd\n   23 ?        00:00:00 kblockd\n   24 ?        00:00:00 ata_sff\n   25 ?        00:00:00 khubd\n   26 ?        00:00:00 md\n   27 ?        00:00:00 kworker/0:1\n   28 ?        00:00:00 kworker/1:1\n   29 ?        00:00:00 khungtaskd\n   30 ?        00:00:00 kswapd0\n   31 ?        00:00:00 ksmd\n   32 ?        00:00:00 khugepaged\n   33 ?        00:00:00 fsnotify_mark\n   34 ?        00:00:00 ecryptfs-kthrea\n   35 ?        00:00:00 crypto\n   46 ?        00:00:00 kthrotld\n   47 ?        00:00:00 kworker/u:1\n   49 ?        00:00:00 scsi_eh_0\n   50 ?        00:00:00 scsi_eh_1\n   51 ?        00:00:00 kworker/u:2\n   52 ?        00:00:00 binder\n   53 ?        00:00:00 kworker/u:3\n   54 ?        00:00:00 kworker/u:4\n   73 ?        00:00:00 deferwq\n   74 ?        00:00:00 charger_manager\n   75 ?        00:00:00 devfreq_wq\n   76 ?        00:00:00 kworker/1:2\n  112 ?        00:00:00 kworker/0:2\n  225 ?        00:00:00 jbd2/vda1-8\n  226 ?        00:00:00 ext4-dio-unwrit\n  356 ?        00:00:00 upstart-udev-br\n  358 ?        00:00:00 udevd\n  475 ?        00:00:00 kpsmoused\n  484 ?        00:00:00 kworker/1:3\n  541 ?        00:00:00 dhclient\n  616 ?        00:00:00 upstart-socket-\n  657 ?        00:00:00 kvm-irqfd-clean\n  813 ?        00:00:00 sshd\n  851 ?        00:00:00 rsyslogd\n  858 ?        00:00:00 dbus-daemon\n  907 tty4     00:00:00 getty\n  913 tty5     00:00:00 getty\n  920 tty2     00:00:00 getty\n  921 tty3     00:00:00 getty\n  924 tty6     00:00:00 getty\n  937 ?        00:00:00 acpid\n  938 ?        00:00:00 atd\n  939 ?        00:00:00 cron\n  971 tty1     00:00:00 getty\n  973 ?        00:00:00 whoopsie\n  975 ?        00:00:00 flush-253:0\n  982 ?        00:00:00 console-kit-dae\n 1049 ?        00:00:00 polkitd\n 1136 ?        00:00:00 sshd\n 1214 ?        00:00:00 sshd\n 1215 ?        00:00:00 sh\n 1216 ?        00:00:00 sudo\n 1220 ?        00:00:00 run-adt\n 2034 ?        00:00:00 irqbalance\n 2470 ?        00:00:00 adt-run\n 2471 ?        00:00:00 tee\n 2472 ?        00:00:00 adt-virt-null\n 2739 ?        00:00:00 kworker/1:1H\n 3631 ?        00:00:00 dbus-daemon\n 3643 ?        00:00:00 polkitd\n 3645 ?        00:00:00 console-kit-dae\n 3712 ?        00:00:00 NetworkManager\n 3966 ?        00:00:00 python3\n 3967 ?        00:00:00 dbus-daemon\n 3977 ?        00:00:00 polkitd\n 3979 ?        00:00:00 console-kit-dae\n 4002 ?        00:00:00 NetworkManager\n 4553 ?        00:00:00 dhclient\n 4587 ?        00:00:00 ps\n'

----------------------------------------------------------------------
Ran 2 tests in 30.129s

FAILED (failures=1, errors=1)
adt-run: trace: & dsc0t-dnsmasq: ----------------------------------------]
adt-run: trace1: ** needs_reset, previously=False
adt-run: trace: @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ tests done.
adt-run: trace: ** stop
adt-run: trace: ** close, scratch=tb-scratch~/tmp/tmp.JeCdgJ6IaA:-/|/tmp/tmp.JeCdgJ6IaA/!
+ RC=4
+ [ 0 -eq 1 ]
+ chown -R ubuntu /home/ubuntu/adt-log
+ chmod og+r /var/log/syslog
+ chmod og+r /var/crash/*
+ true
+ exit 4
+ RET=4
+ [ 0 -eq 1 ]
+ [ 4 -gt 0 ]
+ log_failure_msg adt-run exited with status 4.
+ log_msg Failure: adt-run exited with status 4.\n
+ date +%F %X
+ printf 2012-11-20 14:14:19: Failure: adt-run exited with status 4.\n
2012-11-20 14:14:19: Failure: adt-run exited with status 4.
+ [ 0 -eq 0 ]
+ mkdir -p <http://10.189.74.2:8080/job/raring-proposed-adt-network-manager/./ARCH=i386,label=albali/ws/results>
+ ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /var/cache/adt/disks/adtkey -p 54327 -t -o BatchMode=yes -l ubuntu localhost sudo chown -R ubuntu /home/ubuntu/adt-log; find  -type f -empty | xargs rm
Pseudo-terminal will not be allocated because stdin is not a terminal.
Warning: Permanently added '[localhost]:54327' (ECDSA) to the list of known hosts.
sudo: unable to resolve host autopkgtest
find: `./.autopkgtest/gpg': Permission denied
+ scp -r -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /var/cache/adt/disks/adtkey -P 54327 ubuntu at localhost:/home/ubuntu/adt-log/*
    /var/crash/*crash /var/log/syslog <http://10.189.74.2:8080/job/raring-proposed-adt-network-manager/./ARCH=i386,label=albali/ws/results>
+ true
+ log_info_msg Test artifacts copied to <http://10.189.74.2:8080/job/raring-proposed-adt-network-manager/./ARCH=i386,label=albali/ws/results>
+ log_msg Info: Test artifacts copied to <http://10.189.74.2:8080/job/raring-proposed-adt-network-manager/./ARCH=i386,label=albali/ws/results\n>
+ date +%F %X
+ printf 2012-11-20 14:14:24: Info: Test artifacts copied to <http://10.189.74.2:8080/job/raring-proposed-adt-network-manager/./ARCH=i386,label=albali/ws/results\n>
2012-11-20 14:14:24: Info: Test artifacts copied to <http://10.189.74.2:8080/job/raring-proposed-adt-network-manager/./ARCH=i386,label=albali/ws/results>
+ [ -n 2012-11-20_13-59-45 ]
+ log_info_msg Updating Jenkins results
+ log_msg Info: Updating Jenkins results\n
+ date +%F %X
+ printf 2012-11-20 14:14:24: Info: Updating Jenkins results\n
2012-11-20 14:14:24: Info: Updating Jenkins results
+ res=fail
+ [ 4 -eq 0 ]
+ OPTS=-d
+ [ 1 -eq 1 ]
+ OPTS=-d -P
+ /var/lib/ubuntu-iso-testing/auto-package-testing/bin/../jenkins/update-adt-result -d -P -r raring network-manager i386 fail
2012-11-20 14:14:24,733 DEBUG Debug mode enabled
2012-11-20 14:14:24,733 DEBUG aptroot: /var/lib/ubuntu-iso-testing/auto-package-testing/aptroot/raring-proposed-amd64
2012-11-20 14:14:24,733 DEBUG Loading status from /var/lib/ubuntu-iso-testing/auto-package-testing/aptroot/raring-proposed-amd64/var/cache/adt/raring-proposed_amd64_network-manager
2012-11-20 14:14:24,734 DEBUG Writing status file
2012-11-20 14:14:24,734 INFO Writing results to /var/lib/ubuntu-iso-testing/auto-package-testing/aptroot/raring-proposed-amd64/../raring/raring-proposed_network-manager_20121120-141424
+ [ 0 -eq 0 ]
+ ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /var/cache/adt/disks/adtkey -p 54327 -t -o BatchMode=yes -l ubuntu localhost sudo poweroff
Pseudo-terminal will not be allocated because stdin is not a terminal.
Warning: Permanently added '[localhost]:54327' (ECDSA) to the list of known hosts.
sudo: unable to resolve host autopkgtest
+ exit 4
+ on_exit
+ log_info_msg Cleaning up
+ log_msg Info: Cleaning up\n
+ date +%F %X
+ printf 2012-11-20 14:14:25: Info: Cleaning up\n
2012-11-20 14:14:25: Info: Cleaning up
+ [ -f /dev/shm/adt/raring-i386-network-manager-20121120_140719.img.pid ]
+ cat /dev/shm/adt/raring-i386-network-manager-20121120_140719.img.pid
+ kill -9 65815
+ rm -f /dev/shm/adt/raring-i386-network-manager-20121120_140719.img.pid
+ rm -f /dev/shm/adt/raring-i386-network-manager-20121120_140719.img
+ rm -f /var/lock/adt/ssh.54327.lock
+ rm -f /var/lock/adt/vnc.5915.lock
+ [ -d /tmp/adt-i386.zK5sb1 ]
+ rm -Rf /tmp/adt-i386.zK5sb1
+ exit 4
Build step 'Execute shell' marked build as failure
Archiving artifacts



More information about the ubuntu-testing-notifications mailing list